Subject: Re: /* compiler workaround */ - what was the issue?

From: Marc Branchaud <[email-masked]>
Date: Fri, 6 May 2016 16:28:45 -0400

On 2016-05-06 03:57 PM, Junio C Hamano wrote:
> Marc Branchaud <[email-masked]> writes:
>
>> On 2016-05-06 02:54 PM, Junio C Hamano wrote:
>>>
>>> I wonder if can we come up with a short and sweet notation to remind
>>> futhre readers that this "initialization" is not initializing but
>>> merely squelching warnings from stupid compilers, and agree to use
>>> it consistently?
>>
>> Perhaps
>>
>> 	#define COMPILER_UNINITIALIZED_WARNING_INITIALIZER 0
>>
>> or, for short-and-sweet
>>
>> 	#define CUWI 0
>>
>> ?
>>
>> :)
>
> I get that smiley.

Of course, right after I sent that I thought of

#define SPURIOUS_COMPILER_RELATED_UNINITIALIZED_WARNING_INITIALIZER 0

or

#define SCRUWI 0

Which we'd get to pronounce as "screwy".

OK, I'll shut up now.

		M.